%global dlrn_nvr tripleo-validations-14.3.2.dev34-1.20230421033956.c768acb
%global dlrn 1
%define upstream_version 14.3.2.dev34
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version: 14.3.2
Release: 1.20230421033956.c768acb%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/tripleo-validations
Source0: tripleo-validations-14.3.2.dev34-1.20230421033956.c768acb.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=c768acb842be135b54207f0944dd4f10de203d80
Patch0001: 0001-Adjusting-depency-declarations.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/tripleo-validations/tripleo-validations-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif
BuildRequires:  git-core
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-heatclient >= 1.10.0
BuildRequires:  python3-glanceclient >= 2.9.1
BuildRequires:  python3-ironicclient >= 2.3.0
BuildRequires:  /usr/bin/pathfix.py
Requires:       python3-pbr
Requires:       (python3dist(ansible) >= 2 or ansible-core >= 2.11)
Requires:       ansible-collection-ansible-posix >= 1.2.0
Requires:       ansible-collection-community-general >= 2.5.1
Requires:       ansible-collection-containers-podman >= 1.4.1
Requires:       python3-heatclient >= 1.10.0
Requires:       python3-glanceclient >= 2.9.1
Requires:       python3-ironicclient >= 2.7.0
Requires:       python3-shade >= 1.24.0
Requires:       os-net-config >= 7.1.0
Requires:       python3-ironic-inspector-client >= 3.1.1
Requires:       python3-lxml
Requires:       validations-common
Requires:       python3-setuptools

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python3-heatclient
BuildRequires:  python3-netaddr
BuildRequires:  python3-novaclient
BuildRequires:  python3-oslotest
BuildRequires:  python3-subunit
BuildRequires:  python3-swiftclient
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  os-net-config
BuildRequires:  (python3dist(ansible) >= 2 or ansible-core >= 2.11)
BuildRequires:  openstack-macros

Requires:       python3-subunit
Requires:       python3-oslotest
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-oslo-utils >= 3.40.2
Requires:       python3-heatclient >= 1.10.0
Requires:       python3-keystoneauth1 >= 3.16.0
Requires:       python3-mistralclient >= 3.1.0
Requires:       python3-novaclient >= 1:15.1.0
Requires:       python3-ironicclient >= 2.7.0
Requires:       python3-six >= 1.11.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python3-testrepository
Requires:       python3-testscenarios
Requires:       python3-testtools
Requires:       python3-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       python3-shade >= 1.24.0
Requires:       python3-ironic-inspector-client >= 3.1.1
Requires:       tripleo-ansible >= 3.3.1
Requires:       ansible-collections-openstack >= 1.8.0

Requires:       (python3dist(ansible) >= 2 or ansible-core >= 2.11)

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-ruamel-yaml

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}

# docs generation
%if 0%{?with_doc}
sphinx-build -W -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

# Fix shebangs for Python 3-only distros
# TODO remove this when shebangs workaround will be fixed
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/roles/

%check
PYTHON=%{__python3} %{__python3} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python3_sitelib}/tripleo_validations
%{python3_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/ansible
%{_bindir}/tripleo-ansible-inventory
%exclude %{python3_sitelib}/tripleo_validations/test*
%exclude %{buildroot}%{_datadir}/ansible/library/__init__.py

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python3_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230421033956.c768acb
- Update patches

* Tue Apr 18 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230419034010.c768acb
- Update patches
- Remove oslo validations for backup and restore

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230323023903.447bd2f
- Update patches
- Remove backup and restore group from undercloud-disbled-services

* Tue Mar 07 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230308033806.4eb3dc5
- Update patches

* Mon Mar 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230307034322.4eb3dc5
- Adjusting depency declarations (rhbz#2149177)
- Mocking ansible module in the documentation config
- [Wallaby-Only] Adjusting depency declarations
- Fix ansible 2.14 incompatibility

* Thu Mar 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230302143945.e066ec9
- Fix ansible 2.14 incompatibility (rhbz#2171726)

* Mon Feb 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230207023957.e066ec9
- Update patches
- Refactoring default-node-count validation to use openstack-collection modules

* Fri Feb 03 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20230204024831.17a9ffa
- Update patches
- Adding graceful failure condition to options dictionary lookup
- Replacing attribute argument of the jinja filter with json module call

* Thu Dec 15 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221216023931.87d24b4
- Update patches
- Refactoring ironic-boot-configuration validation to use openstack collection modules
- Add sysctl validation for undercloud preflight checks
- [Wallaby-Only] Explicitly setting constraints on linters tox env

* Tue Dec 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221214023937.92c0d2e
- Update patches
- Adjusting node-disks validation for new authentication procedures

* Tue Dec 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221207033802.a45cecb
- Update patches
- Changing mount parameter of podman task to volume

* Fri Dec 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221203024241.b3e15a5
- Update patches
- Removing undercloud-tokenflush validation and related role

* Thu Dec 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221202034139.85e13f7
- Update patches
- Add validation to check if a reboot of a node is necessary
- Refactoring node-health validation

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221124114154.8406ff9
- Update patches
- Substituting 'localhost' for wildcard '*' in image-serve validation
- Pull flake8 from Github

* Wed Nov 09 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221110023733.7a6de0c
- Update patches
- Remove python-dev from bindep

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20221011034745.c3af2af
- Update patches
- Check the time synchronization and list the NTP servers chrony is trying to access

* Tue Sep 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220928034039.57d7b26
- Update patches
- Triggering overcloud container CLI discovery task on allovercloud group

* Wed Sep 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220921104705.6be51cd
- Update patches
- Avoid failure when non DPDK instances present

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220830141417.0ba58e8
- Update patches
- oslo-config-validator: fix cinder's namespaces

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220826023718.d1ac71e
- Update patches
- Implement validation for manila config

* Wed Aug 24 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220825034126.390d133
- Update patches

* Tue Aug 23 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.2-1.20220823043725.390d133
- Update patches
- Run nova-svirt validation in nodes with nova_libvirt service

* Fri Aug 12 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220813024140.d74d3fc
- Update patches

* Wed Aug 03 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220804033837.d74d3fc
- Update patches
- Fix package metadata for pypi upload

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-1.20220802084202.ac2b9e6
- Update patches
- Removing undercloud-heat-purge-deleted from validation groups
- Fix to get HOME environment in dhcp-provisioning validation

* Fri Jul 29 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-1.20220730013837.37bfae3
- Fix to get HOME environment in dhcp-provisioning validation

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-1.20220728094253.37bfae3
- Removing undercloud-heat-purge-deleted from validation groups (rhbz#2105291)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-1.20220727192359.37bfae3
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-1.20220718113256.37bfae3
- Update patches
- Normalizing Tripleo Validations metadata
- setup.cfg: Replace dashes with underscores
- Deprecates tripleo-ansible-inventory and remove tripleo-validation scripts

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220514032251.d2a1172
- Update patches
- Adding roles.galaxy to the gitignore
- Removing leftover README docs from roles
- [Stable-Only] Redefining the irrelevant files list to ensure execution graph stability

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220514021918.7076f26
- Adding roles.galaxy to the gitignore
- Removing leftover README docs from roles
- [Stable-Only] Redefining the irrelevant files list to ensure execution graph stability

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220429033104.7076f26
- Update patches
- Getting instance shutdown xml issue

* Fri Apr 22 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220422042447.62e6da1
- Update patches
- Validate libvirtd is not running on the undercloud
- oslo_config_validator: Defaulting config_invalidations to empty list
- Remove run-validations.sh script

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220422031943.8f894bc
- Validate libvirtd is not running on the undercloud
- oslo_config_validator: Defaulting config_invalidations to empty list
- Remove run-validations.sh script

* Sat Apr 09 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220410022247.8f894bc
- Update patches
- [Wallaby-Only] Ansible lint custom rule expansion

* Sat Apr 09 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220410011841.6614654
- oslo_config_validator: Defaulting config_invalidations to empty list (rhbz#2063193)
- [Wallaby-Only] Ansible lint custom rule expansion

* Fri Apr 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220408102735.6614654
- oslo_config_validator: Defaulting config_invalidations to empty list (rhbz#2063193)

* Mon Mar 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220322002302.6614654
- Update patches
- Validating that RetryFilter is not in nova

* Fri Mar 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220319001842.5ed6334
- Update patches
- Correct the tox option for skipping sdist generation

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220318001849.b94d0d9
- Update patches
- Remove pre-deployment validation

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220302002301.aa52abe
- Update patches
- oslo_config_validator: Nova port data changes settings have wrong values
- Simplify and consolidate files
- Remove domain equivalence check

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220301003703.8021994
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220211002319.4c3d77c
- Update patches
- oslo-config-validator: container run task should never fail
- Remove references to novajoin-server and novajoin-notifier
- Remove check for certmonger user service
- [wallaby-only]Change ansible_hostname to use ansible_facts

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220210001850.53921e7
- Update patches
- Add FIPS validation

* Mon Feb 07 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220208022301.a628e7b
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220204023302.a628e7b
- Update patches
- Fixing formatting of the nfv_ovsdpdk_zero_packet_loss role docs

* Wed Feb 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220203002257.408c59d
- Update patches
- feat(removal): tox-ansible support

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220202011903.8567cad
- Update patches
- Migrate jobs from CentOS 8 to CentOS 8 Stream

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220121002234.d457302
- Update patches
- fix(molecule): Add ability to run molecule on Fedora
- fix(ci): Install python3 package first

* Wed Jan 19 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220120001842.1b8766d
- Update patches
- Instruct container-status validation to accept 137, 142 and 143 exit code status

* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20220112001925.2a0cfa5
- Update patches
- undercloud-debug validation documentation improvement
- Use centos-8 stream for molecule jobs
- Optimize linters executions from tox and pre-commit
- Bumping the ansible-lint version to 5.3.2 in order to resolve CI failure

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20211117001857.d91ed58
- Update patches

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20211014002028.d91ed58
- Update patches
- oslo-config-validator: Removing merged patches
- oslo-config-validator: invalidating configs only when necessary
- oslo-config-validator: container plugin is replaced with collections

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20211008002924.4f94ebd
- Update patches
- remove using containers-prepare-parameter.yaml
- [validation_init] add new metadata keys in the playbook template
- Use collections in validations for Ansible 2.11
- Add new metadata keys to the validation playbooks

* Tue Sep 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20210922002739.23a2ec2
- Update patches
- Moving setting validation from nova_event_callback

* Tue Sep 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20210908001815.90bccae
- Update patches
- Fail validation if pacemaker service is not active

* Thu Aug 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.2-0.20210820002910.d0f3003
- Update patches
- Setting language for the python3.6 tox environment

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210818013830.93218f1
- Update patches

* Sat Jul 31 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210801021806.93218f1
- Update patches
- NVF OvS DPDK instance emulatorpin validation fix
- oslo_config_validator: Setting container network to none

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210731001810.f550a26
- Update patches
- Fix Inventory Generation without Overcloud deployed
- NFV OvS DPDK zero packet loss validations

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210728002819.c4f0f77
- Update patches
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value.

* Thu Jul 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210723001842.fdf7418
- Update patches
- [wallaby-only] molecule-requirements constraints

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.0-0.20210720001812.5579247
- Update patches

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210708001819.5579247
- Update patches
- Sort jobs in molecule.yaml file when adding new role
- Add zuul.d/molecule.yaml file back in the yamllint ignore list
- Allow comments in variable files to be rendered in docs

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210702001807.253a16d
- Update patches
- Migrate back haproxy validation to tripleo-validations

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210701092943.6083ffe
- Update patches
- Introducing the oslo_config_validator role

* Tue Jun 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210623001813.fac6f89
- Update patches
- Enabling indentation rule for yamllint.

* Mon Jun 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210622001812.70afd60
- Update patches
- Use OS_CLOUD environment variable
- Use and ownership info for the check_flavors module

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210619001812.70028b6
- Update patches
- Use and ownership info for the ip_range module.
- Use and ownership info for the pacemaker module
- Use and ownership info for the node_disk module.
- Use and ownership info for the icmp_ping module.
- Use and ownership info for the ovs_dpdk_pmd_cpus_check module.
- Use and ownership info for the ceph_pools_pg_protection module
- Use and ownership info for the verify_profiles module
- Use and ownership info for the network_environment module
- Use and ownership info for the switch_vlans module
- Compute TSX validation
- Add Validation Development Workflow Documentation
- Introduce new Ansible validation_init role.
- Remove workaround for tox-ansible and global molecule config
- Quick documentation content reorganization

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210612121810.05c0a56
- Update patches
- Remove the post-update groups.

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210611001914.bdae1d3
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210607083545.eda796e
- Update patches
- Use validation_component for Standalone CI jobs
- Bump molecule to 3.3.1

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210604011818.d619eff
- Update patches
- requirements-check enabled
- Trigger molecule jobs when modifying molecule-requirements.txt file
- Add shared configuration for all molecule test

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210601011817.8821e60
- Update patches
- Removing python-tripleoclient

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210528132144.1480259
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210523173619.1480259
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210523160710.1480259
- Update patches
- Update .gitreview for stable/wallaby

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210521031812.306d4ff
- Update patches
- [overcloud-service-status] Removing pre-upgrade

* Wed May 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210520031814.adf99a7
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210519011816.adf99a7
- Update patches
- Check for dangling images

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210515001819.ea453ca
- Update patches
- Add validation to check DockerInsecureRegistryAddress matches the UC hostname

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.0-0.20210513021811.ac70f2c
- Update patches
- Exposing default variables in playbook
- Validation should use the public endpoint

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210430012836.8dd212a
- Update patches
- Adding backup-and-restore validation group
- Add groups.yaml to the openstack-tox-jobs files

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210428173512.cdac934
- Update patches
- Make tls_everywhere validations compatible with ansible_facts
- Exceptions constraints improved
- Removes retired services from service status validation

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210427023029.bbe326a
- Update patches
- Removal of osc-lib
- More detail in arg validation
- Minor test improvement for ceph_pools_pg_protection
- Superfluous arg removed

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210422011735.59fdd2d
- Update patches
- Test folder structure rearranged.

* Fri Apr 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210417011745.06d7104
- Update patches

* Thu Apr 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210416001732.06d7104
- Update patches
- Rename Dockerfile.j2 to Dockerfile
- Use a more targeted job for tripleo-validations
- Remove apk and references from bindep.txt

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210414001737.36b5c70
- Update patches
- check-ram is not compat w/ upstream

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Zuul runs tests in py36 only
- Removes retired services from process count validation
- Fix typo in readme file.

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Coverage considers other all main source folders, omits tests
- Coverage now uses stestr.

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove RoleNames ansible-lint custom rule
- Add new tripleo-latest-packages-version playbook
- Move back tripleo_validator.py to tripleoclient

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce tox-ansible to tripleo-validations

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use static inventory for component CI role and clean component list
- Remove linters dependency from content-provider in gate
- Rename system_encoding playbooks.
- Add update roles on several validations.

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace user with openssh_keypair
- Trigger molecule tests when modifying CI scripts
- Rename Dockerfile.j2 to Dockerfile

* Mon Mar 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Python tests are now run trough stestr.

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Activate virtual environment

* Mon Mar 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix unbound variable

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix api call to get_deployment_status

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Optionally fail ceph-health if HEALTH_WARN

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace exception with LOG.info

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Modify find to use -H to support symbolic links

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introducing the overcloud-service-status role
- [autodoc] guessing converge playbook

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix set by merging two list without duplicate

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix molecule jobs after release of cryptography3.4
- Remove six usage in ValidationHasMetadataRule.py

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add system encoding to pre-update stage.
- Add post-deployment frr_status validation

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new Update validation groups.

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the get_deployment_status call

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless __init__.py file in library

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Local var was redefining built-in range

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate inventory without any overcloud

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Retire ceilometerdb-size validation
- Get the undercloud.conf file from where it actually is

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo-validations role for component testing
- Add setuptools.
- Move tripleo validations CLI from tripleoclient to tripleo-validations repo

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Restrict Ansible dependency

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update role-addition.yml playbook to manage molecule.yaml file again

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Dec 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove workaround for broken dogpile.cache and lower-constraints file

* Tue Dec 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation to verify undercloud.conf content.

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use the UBI8 image for testing

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix conditionals/types in check_flavors and verify_profiles
- Make local molecule testing running.

* Wed Nov 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- replace max_fds with sysctl call

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use the default flavor name when flavor parameter is not defined

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move validation to content-provider based jobs

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Optimize container_cli usage by mysql-open-files-limit validation
- Add validation to verify the RHSM version.

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bumps pre-commit config

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ceph-pg from openstack tripleo validator run groups

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a Literal Block Scalar instead of Folding one for validation

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert docker molecule usage to podman
- Switch legacy Zuul jobs to native Zuul v3 jobs

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- After leapp has been run, verify that the kernel has been upgraded.

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Retire containerized_undercloud_docker validation

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct how the image_serve validation works
- Ensure we get a prefix for validation roles

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Docs: Use correct spec link
- Docs: Replace tags heading with a real heading

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duplication in molecule gate jobs
- Revert "Revert "Change path for validation Ansible files""

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove callback plugin from tripleo-validation
- Add ipa-server-check pre-upgrade validation
- Fix hacking min version to 3.0.1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Revert "Remove objects migrated to validations-common""

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Remove objects migrated to validations-common"
- Remove objects migrated to validations-common
- Revert "Change path for validation Ansible files"
- Fix lower-constraints errors

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated playbook metadata for package-version
- Change path for validation Ansible files
- New validation: Ensure sVirt is active

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Sep 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use importlib to take place of imp module

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation to check status of ipa server
- Add tripleo-validation.py as script in setup.cfg

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New validation: ensure we have access to the right package version
- Clarify error message for Nova notification settings
- Refactor vif plugging validations

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- New validation: ensure we have access to the right package version
- Clarify error message for Nova notification settings
- Refactor vif plugging validations
- New validation: ensure we have access to the right package version
- Clarify error message for Nova notification settings
- Refactor vif plugging validations

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New validation: ensure we have access to the right package version
- Clarify error message for Nova notification settings
- Refactor vif plugging validations

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new Upgrades validation groups.

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add os-cloud support for tripleo-ansible-inventory script

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Corrected work directory for validate-selinux

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct role name in generated playbook

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allows to use custom role name for validations

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated "overcloud" to "allovercloud" group
- Add new dependency for the tests: lxml

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix neutron_sanity_check for ML2/OVS overcloud

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make Get OSD stat percentage compatible with jq < 1.5

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Jul 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a validation to check the local.

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensures script is executable

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ceph-ansible permissions when checking the repo name

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mock as test requirement

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make Get OSD stat percentage compatible with both Luminous and Nautilus

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure virtualenv is installed.

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add "mock" in test-requirements and lower-constraints

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TripleO validation CLI script

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update openstackdocstheme.

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Ceph role's Get OSD stat to use new data structure

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update python version.

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the useless pytest import.

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid broken dogpile.cache

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get UUID from ansible environment variables

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix container client variable name
- Add deployment groups.

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve the ceph-ansible repository error message

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the post-introspection group.

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the tox minversion parameter.

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix CentOS8 Migration leftover

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introducing tripleo_delegate_to on ceph health validation

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure we don't pass an empty role_name

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Validation collect-flavors-and-verify-profiles bug

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove fwaas_driver.ini from neutron sanity checks

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch install-docker with ensure-docker

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix multistack inventory

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update to hacking 3.0

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all of the fedora28 container usage to CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate molecule jobs from centos 7 to 8

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-validations failing on lower constraints

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't write playbook stats in binary mode
- Drop eventlet from lower constraints

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use unittest.mock instead of third party mock
- Use unittest.mock instead of third party mock

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skeleton role, get with the decade

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't validate token_flush for non-persistent token formats

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update centos-7 to centos-8 for validations
- tripleo-validations failing on lower constraints

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Updated/corrected service_status

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add basic molecule tests for uncovered roles

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add custom ansible-lint rule for Role Names

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pbr==3.1.1 in lower constraints

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove 'no-op-firewall-nova-driver' validator

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds Search Path Override
- Better task name and loop control
- Delete healthcheck-service-status role

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make groups documentation part dynamic

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- zuul: all functional jobs now depend on linter job first

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- molecule-xfs_check_ftypefailure (non-voting), remove from gate

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix role-addition.yaml automation playbook

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace all references to the old role name

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Normalize role names when generating roles"
- Normalize role names when generating roles

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds basic molecule testing for ceph validations

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove default ansible option in test runs

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add pre/post ceph validation groups"
- Add pre/post ceph validation groups

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Validate the playboooks metadata structure

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ceph PG validation unit shouldn't depend on dict order"
- Merge "New validation: validate-selinux"
- Merge "Fix ceph-ansible repo check"
- Merge "Add new validation_json callback"
- Ceph PG validation unit shouldn't depend on dict order
- Fix ceph-ansible repo check
- New validation: validate-selinux
- Add new validation_json callback

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix upper and lower constraints

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Introduce Ceph placement group validation"
- Merge "Remove the useless environment variable."
- Introduce Ceph placement group validation
- Remove the useless environment variable.

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a validation to fail if a Ceph dependency is not installed

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add an additional validation to check ceph-ansible repository"
- Add an additional validation to check ceph-ansible repository

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removed workaround for ansible-lint issue

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename custom "ini" module to "validations_read_ini"

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add groups.yaml containing Validation Groups definition

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tox: Keeping going with docs

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid failure if dhcp_end or dhcp_start isn't set

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a better name for the task

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop testing python2.7

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update master for stable/train"
- Update master for stable/train

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add forgotten reportentry module in the documentation"
- Set validation defaults to match undercloud default settings
- Add forgotten reportentry module in the documentation

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Molecule tests
- Add workaround for the ansible-lint installation failure

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Hide sensitive data from Ansible run and logging"
- Hide sensitive data from Ansible run and logging

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use dynamic argument_spec from documentation

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ironic Authentication exception

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing closing parenthesis in skeleton role"
- Fix missing closing parenthesis in skeleton role

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ost-tox-lower-constraints job indentation

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Python 3 incompatibility in tripleo-ansible-inventory"
- Fix Python 3 incompatibility in tripleo-ansible-inventory

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add new healthcheck-service-status validation"
- Add new healthcheck-service-status validation

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update documentation URL link for CPU & RAM Undercloud recommendations"
- Update documentation URL link for CPU & RAM Undercloud recommendations

